-- Personen und Stellenanteile
--
-- mpuls/issue6939

-- switch to adm explicitly because the scripts in mpulsdbadm have
-- switched to postgres at this point.
SET ROLE :adm_ka_owner;

-- DROP existing view and table in because the normal coaches database
-- that is created first already has such a table, but we need a
-- different one for the evaluation server.
DROP VIEW IF EXISTS coaches_stellen_tbl_anonym_view;
DROP TABLE IF EXISTS coaches_stellen_tbl;


CREATE TABLE coaches_stellen_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    fkz VARCHAR(60),
    personen INTEGER,
    stellenanteile NUMERIC(5, 3)
);

CREATE INDEX coaches_stellen_tbl_fkz_idx ON coaches_stellen_tbl (fkz);

CREATE OR REPLACE VIEW coaches_stellen_tbl_anonym_view
AS SELECT id, fkz, personen, stellenanteile
     FROM coaches_stellen_tbl;


GRANT SELECT ON coaches_stellen_tbl TO GROUP :cm_group;
GRANT SELECT ON coaches_stellen_tbl TO GROUP :admin_group;
