BEGIN;
--
--
-- CREATE TABLES
--
CREATE TABLE dbinfo (
    id INTEGER PRIMARY KEY NOT NULL,
    key   VARCHAR(128) NOT NULL,
    value VARCHAR(256) 
);

INSERT INTO dbinfo (id, key, value) VALUES (1, 'version', CURRENT_TIME);
INSERT INTO dbinfo (id, key, value) VALUES (2, 'datadump', NULL);

CREATE TABLE bundeslaender_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    name VARCHAR(256) NOT NULL UNIQUE,
    kurz CHAR(2) NOT NULL UNIQUE
);

INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (-1, 'keine Angabe', '');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 0, 'Baden-Württemberg', 'BW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 1, 'Bayern', 'BY');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 2, 'Berlin', 'BE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 3, 'Brandenburg', 'BB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 4, 'Bremen', 'HB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 5, 'Hamburg', 'HH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 6, 'Hessen', 'HE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 7, 'Mecklenburg-Vorpommern', 'MV');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 8, 'Niedersachsen', 'NI');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 9, 'Nordrhein-Westfalen', 'NW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (10, 'Rheinland-Pfalz', 'RP');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (11, 'Saarland', 'SL');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (12, 'Sachsen', 'SN');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (13, 'Sachsen-Anhalt', 'ST');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (14, 'Schleswig-Holstein', 'SH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (15, 'Thüringen', 'TH');

CREATE TABLE fkz_tbl (
    id            INTEGER PRIMARY KEY NOT NULL,
    name          VARCHAR(256) NOT NULL,
    fkz           VARCHAR(256) NOT NULL UNIQUE,
    database      VARCHAR(256) NOT NULL UNIQUE,
    bundesland_id INTEGER NOT NULL REFERENCES bundeslaender_tbl(id),
    UNIQUE (fkz, database)
);

-- -- --
-- -- -- START Autogenerated CREATE part of sql statements
-- -- -- (mastert_tbl...)
-- -- --
-- -- --

--
-- CREATE TABLES
--
CREATE TABLE wie_gruppenangebot_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(31) NOT NULL
);
CREATE TABLE ort_gruppenangebot_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(67) NOT NULL
);
CREATE TABLE methode_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(83) NOT NULL
);
CREATE TABLE format_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(20) NOT NULL
);
CREATE TABLE inhalte_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(54) NOT NULL
);
CREATE TABLE klassenstufen_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(18) NOT NULL
);
CREATE TABLE schriftliche_kooperationsvereinbarung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(16) NOT NULL
);
CREATE TABLE schulform_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(48) NOT NULL
);
CREATE TABLE phase_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(18) NOT NULL
);
CREATE TABLE master_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    uuid_id CHAR(36),
    bearbeiter_id int NOT NULL,
    fkz VARCHAR(60),
    phase INTEGER DEFAULT -1,
    name_der_schule VARCHAR(60),
    schulform INTEGER DEFAULT -1,
    schulform_nennung_sonstige VARCHAR(60),
    schriftliche_kooperationsvereinbarung INTEGER DEFAULT -1,
    weitere_angaben_kooperationsvereinbarung TEXT,
    datum_begin_kooperation DATE,
    datum_ende_kooperation DATE,
    praeventionskonzept_vorhanden INTEGER DEFAULT -1,
    weitere_angaben_praeventionskonzept TEXT,
    UNIQUE (uuid_id),
    FOREIGN KEY (phase) REFERENCES phase_tbl (id),
    FOREIGN KEY (schulform) REFERENCES schulform_tbl (id),
    FOREIGN KEY (schriftliche_kooperationsvereinbarung) REFERENCES schriftliche_kooperationsvereinbarung_tbl (id),
    FOREIGN KEY (praeventionskonzept_vorhanden) REFERENCES schriftliche_kooperationsvereinbarung_tbl (id)
);
CREATE TABLE klassenstufe_5_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE rg_gruppenangebote_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    name_gruppenangebot VARCHAR(60),
    datum_start_gruppenangebot DATE,
    datum_ende_gruppenangebot DATE,
    anzahl_teilnehmer_maennlich INTEGER,
    anzahl_teilnehmer_weiblich INTEGER,
    anzahl_teilnehmer_divers INTEGER,
    inhalt_weitere_angaben TEXT,
    format_nennung_sonstiges VARCHAR(60),
    methode_weitere_angaben TEXT,
    ort_gruppenangebot INTEGER DEFAULT -1,
    wie_gruppenangebot INTEGER DEFAULT -1,
    anbieter_politische_bildung INTEGER DEFAULT -1,
    anbieter_extremismuspraevention INTEGER DEFAULT -1,
    anbieter_sonstiges INTEGER DEFAULT -1,
    anbieter_nennung_sonstiges VARCHAR(60),
    weitere_angaben_gruppenangebot TEXT,
    anzahl_individuelle_beratungen INTEGER,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (ort_gruppenangebot) REFERENCES ort_gruppenangebot_tbl (id),
    FOREIGN KEY (wie_gruppenangebot) REFERENCES wie_gruppenangebot_tbl (id),
    FOREIGN KEY (anbieter_politische_bildung) REFERENCES klassenstufe_5_tbl (id),
    FOREIGN KEY (anbieter_extremismuspraevention) REFERENCES klassenstufe_5_tbl (id),
    FOREIGN KEY (anbieter_sonstiges) REFERENCES klassenstufe_5_tbl (id)
);
CREATE TABLE nm_klassenstufen_tbl (
    rg_gruppenangebote_id INTEGER NOT NULL,
    choice_id int4 NOT NULL,
    FOREIGN KEY (rg_gruppenangebote_id) REFERENCES rg_gruppenangebote_tbl (id) ON DELETE CASCADE,
    FOREIGN KEY (choice_id) REFERENCES klassenstufen_tbl (id),
    PRIMARY KEY (rg_gruppenangebote_id, choice_id)
);
CREATE TABLE nm_inhalte_tbl (
    rg_gruppenangebote_id INTEGER NOT NULL,
    choice_id int4 NOT NULL,
    FOREIGN KEY (rg_gruppenangebote_id) REFERENCES rg_gruppenangebote_tbl (id) ON DELETE CASCADE,
    FOREIGN KEY (choice_id) REFERENCES inhalte_tbl (id),
    PRIMARY KEY (rg_gruppenangebote_id, choice_id)
);
CREATE TABLE nm_format_tbl (
    rg_gruppenangebote_id INTEGER NOT NULL,
    choice_id int4 NOT NULL,
    FOREIGN KEY (rg_gruppenangebote_id) REFERENCES rg_gruppenangebote_tbl (id) ON DELETE CASCADE,
    FOREIGN KEY (choice_id) REFERENCES format_tbl (id),
    PRIMARY KEY (rg_gruppenangebote_id, choice_id)
);
CREATE TABLE nm_methode_tbl (
    rg_gruppenangebote_id INTEGER NOT NULL,
    choice_id int4 NOT NULL,
    FOREIGN KEY (rg_gruppenangebote_id) REFERENCES rg_gruppenangebote_tbl (id) ON DELETE CASCADE,
    FOREIGN KEY (choice_id) REFERENCES methode_tbl (id),
    PRIMARY KEY (rg_gruppenangebote_id, choice_id)
);

--
-- INSERT DATA
--
INSERT INTO wie_gruppenangebot_tbl (id, value) VALUES (-4, 'Keine Angabe weil Bestandsakte');
INSERT INTO wie_gruppenangebot_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO wie_gruppenangebot_tbl (id, value) VALUES (1, 'Online');
INSERT INTO wie_gruppenangebot_tbl (id, value) VALUES (2, 'Vor Ort');
INSERT INTO wie_gruppenangebot_tbl (id, value) VALUES (3, 'Hybrid');

INSERT INTO ort_gruppenangebot_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO ort_gruppenangebot_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO ort_gruppenangebot_tbl (id, value) VALUES (1, 'In den Räumlichkeiten der Schule');
INSERT INTO ort_gruppenangebot_tbl (id, value) VALUES (2, 'Außerhalb der Räumlichkeiten der Schule');
INSERT INTO ort_gruppenangebot_tbl (id, value) VALUES (3, 'Teilweise in und teilweise außerhalb der Räumlichkeiten der Schule');

INSERT INTO methode_tbl (id, value) VALUES (1, 'Gruppendiskussion');
INSERT INTO methode_tbl (id, value) VALUES (2, 'Erlebnispädagogik (z.B. sportliche Aktivitäten)');
INSERT INTO methode_tbl (id, value) VALUES (3, 'Theaterpädagogik  ');
INSERT INTO methode_tbl (id, value) VALUES (4, 'Musikpädagogik (z.B. Rap)');
INSERT INTO methode_tbl (id, value) VALUES (5, 'Kunstpädagogik (z.B. Graffiti, Foto)');
INSERT INTO methode_tbl (id, value) VALUES (6, 'Medienpädagogik (z.B. Film, Radio, Soziale Medien)');
INSERT INTO methode_tbl (id, value) VALUES (7, 'Anti-Gewalt/ Anti-Konflikt Training');
INSERT INTO methode_tbl (id, value) VALUES (8, 'Multiplikator*innen-Ausbildung / Peer-to-Peer Ansatz (z.B. Streitschlichter*innen)');
INSERT INTO methode_tbl (id, value) VALUES (9, 'Planspiel');
INSERT INTO methode_tbl (id, value) VALUES (10, 'Museumspädagogik/Stadtführung ');
INSERT INTO methode_tbl (id, value) VALUES (11, 'Vortrag');

INSERT INTO format_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO format_tbl (id, value) VALUES (1, 'AG');
INSERT INTO format_tbl (id, value) VALUES (2, 'Ausflug');
INSERT INTO format_tbl (id, value) VALUES (3, 'Klassenfahrt');
INSERT INTO format_tbl (id, value) VALUES (4, 'Veranstaltung');
INSERT INTO format_tbl (id, value) VALUES (5, 'Veranstaltungsreihe');
INSERT INTO format_tbl (id, value) VALUES (6, 'Workshop');
INSERT INTO format_tbl (id, value) VALUES (7, 'Workshopreihe');

INSERT INTO inhalte_tbl (id, value) VALUES (1, 'Demokratiebildung');
INSERT INTO inhalte_tbl (id, value) VALUES (2, 'Stärkung der interkulturellen Kompetenz');
INSERT INTO inhalte_tbl (id, value) VALUES (3, 'Stärkung der interreligiösen Kompetenz');
INSERT INTO inhalte_tbl (id, value) VALUES (4, 'Geschlechter-Reflektierte Arbeit/ Rollenbilder');
INSERT INTO inhalte_tbl (id, value) VALUES (5, 'Stärkung der Selbstwirksamkeit');
INSERT INTO inhalte_tbl (id, value) VALUES (6, 'Stärkung der Sozialen Kompetenz');
INSERT INTO inhalte_tbl (id, value) VALUES (7, 'Stärkung der Medienkompetenz');
INSERT INTO inhalte_tbl (id, value) VALUES (8, 'Auseinandersetzung mit menschenfeindlichen Ideologien');
INSERT INTO inhalte_tbl (id, value) VALUES (9, 'Mobbing im religiösen Kontext');
INSERT INTO inhalte_tbl (id, value) VALUES (10, 'Auseinandersetzung mit Rechtsextremismus');

INSERT INTO klassenstufen_tbl (id, value) VALUES (5, '5');
INSERT INTO klassenstufen_tbl (id, value) VALUES (6, '6');
INSERT INTO klassenstufen_tbl (id, value) VALUES (7, '7');
INSERT INTO klassenstufen_tbl (id, value) VALUES (8, '8');
INSERT INTO klassenstufen_tbl (id, value) VALUES (9, '9');
INSERT INTO klassenstufen_tbl (id, value) VALUES (10, '10');
INSERT INTO klassenstufen_tbl (id, value) VALUES (11, '11');
INSERT INTO klassenstufen_tbl (id, value) VALUES (12, '12');
INSERT INTO klassenstufen_tbl (id, value) VALUES (13, '13');
INSERT INTO klassenstufen_tbl (id, value) VALUES (100, 'Berufliche Schule');

INSERT INTO schriftliche_kooperationsvereinbarung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO schriftliche_kooperationsvereinbarung_tbl (id, value) VALUES (0, 'Nein (Altdaten)');
INSERT INTO schriftliche_kooperationsvereinbarung_tbl (id, value) VALUES (1, 'Ja');
INSERT INTO schriftliche_kooperationsvereinbarung_tbl (id, value) VALUES (2, 'in Aussicht');

INSERT INTO schulform_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO schulform_tbl (id, value) VALUES (-2, 'sonstige Schule');
INSERT INTO schulform_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO schulform_tbl (id, value) VALUES (1, 'Förderschule');
INSERT INTO schulform_tbl (id, value) VALUES (2, 'Hauptschule');
INSERT INTO schulform_tbl (id, value) VALUES (3, 'Realschule');
INSERT INTO schulform_tbl (id, value) VALUES (4, 'Schularten mit drei Bildungsgängen/Gesamtschule');
INSERT INTO schulform_tbl (id, value) VALUES (5, 'Gymnasium');
INSERT INTO schulform_tbl (id, value) VALUES (6, 'Berufsschule');
INSERT INTO schulform_tbl (id, value) VALUES (7, 'Berufsvorbereitungsjahr (BVJ)');
INSERT INTO schulform_tbl (id, value) VALUES (8, 'Berufsgrundbildungsjahr (BGJ)');
INSERT INTO schulform_tbl (id, value) VALUES (9, 'Berufskolleg');
INSERT INTO schulform_tbl (id, value) VALUES (10, 'Grundschule');
INSERT INTO schulform_tbl (id, value) VALUES (11, 'Schularten mit zwei Bildungsgängen');

INSERT INTO phase_tbl (id, value) VALUES (-1, 'Unbekannt');
INSERT INTO phase_tbl (id, value) VALUES (0, 'Erfassung läuft');
INSERT INTO phase_tbl (id, value) VALUES (1, 'Erfassung beendet');

INSERT INTO klassenstufe_5_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO klassenstufe_5_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO klassenstufe_5_tbl (id, value) VALUES (1, 'Ja');

-- -- --
-- -- -- END Autogenerated CREATE part of sql statements
-- -- --
-- -- --


CREATE TABLE status_tbl (
	id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(256) NOT NULL
);

CREATE TABLE ka_status_tbl (
	id        INTEGER PRIMARY KEY NOT NULL,
	master_id INTEGER REFERENCES master_tbl(id) ON DELETE CASCADE,
	status    INTEGER DEFAULT 1 NOT NULL REFERENCES status_tbl(id),
	zugriff   timestamp,
    erstellt  timestamp,
	anonymisiert timestamp
);

INSERT INTO status_tbl (id, value) VALUES (1, 'offen');
INSERT INTO status_tbl (id, value) VALUES (2, 'geschlossen');
INSERT INTO status_tbl (id, value) VALUES (3, 'schwebend gelöscht');
INSERT INTO status_tbl (id, value) VALUES (4, 'schwebend anonymisiert');
INSERT INTO status_tbl (id, value) VALUES (5, 'anonymisiert');


CREATE TABLE tags (
    id          INTEGER PRIMARY KEY NOT NULL,
    label       VARCHAR(256) NOT NULL,
    description TEXT,
    systemtag   BOOLEAN DEFAULT TRUE
);

-- -- --
-- -- -- START Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --


-- -- --
-- -- -- END Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --

CREATE TABLE nm_tags_cases ( 
    id        INTEGER PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL REFERENCES master_tbl(id) ON DELETE CASCADE,
    tag_id    INTEGER NOT NULL REFERENCES tags(id),
    created   TIMESTAMP,
    UNIQUE (master_id, tag_id)
);

CREATE TABLE ka_logbuch_typ_tbl (
    id         SERIAL NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_typ_tbl_pkey PRIMARY KEY (id)
);

INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (0, 'nicht aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (1, 'aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (-1, 'Keine Angabe');

CREATE TABLE ka_logbuch_art_tbl (
    id         INTEGER NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_art_tbl_pkey PRIMARY KEY (id)
);

-- unmittelbare Arbeit mit dem Jugendlichen
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 0, 'Automatischer Eintrag');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 1, 'Gespräch mit dem/der Jugendlichen'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 2, 'Kompetenzfeststellung'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 3, 'Korrespondenz mit dem/der Jugendlichen (Telefonate/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 4, 'Begleitung des/der Jugendlichen zu externen Stellen'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 5, 'Sonstige Begleitung des Jugendlichen'); 
-- Arbeit mit Eltern/Personensorgeberechtigte
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 6, 'Gespräch mit Eltern/Personensorgeberechtigten'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 7, 'Korrespondenz mit Eltern/Personensorgeberechtigten (Telefonat/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 8, 'Sonstige Maßnahmen der Elternarbeit'); 
-- Arbeit mit Dritten 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 12, 'Gespräch mit beteiligten Dritten/Kooperationspartnern'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 13, 'Korrespondenz mit beteiligten Dritten/Kooperationspartnern (Telefonat/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 14, 'Fallkonferenz');
-- Sonstiges
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 15, 'Fahrtwege');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 16, 'Dokumentationi i-mpuls JMD');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 17, 'Teambesprechung');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 18, 'Gespräch mit Mitarbeiter/-innen der Jugendhilfe');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (-2, 'Sonstiges');

CREATE TABLE ka_logbuch_tbl (
    id         INTEGER NOT NULL,
    master_id  int4 REFERENCES master_tbl(id)         ON DELETE CASCADE,
    datum      TIMESTAMP,
    bearbeiter VARCHAR(256),
    typ        int4 REFERENCES ka_logbuch_typ_tbl(id) ON DELETE SET DEFAULT,
    kurz_notiz VARCHAR(256),
    notiz      text,
    dauer      interval,
    CONSTRAINT ka_logbuch_tbl_pkey PRIMARY KEY (id)
);

CREATE TABLE nm_logbuch_art_tbl (
    parent_id int4 NOT NULL REFERENCES ka_logbuch_tbl(id) ON DELETE CASCADE,
    choice_id int4 NOT NULL REFERENCES ka_logbuch_art_tbl(id),

    PRIMARY KEY (parent_id, choice_id)
);

--
-- JMD-Coaches specific definitions
--

CREATE TABLE rg_case_document_count_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    document_count BIGINT NOT NULL,

    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE
);


CREATE TABLE coaches_stellen_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    fkz VARCHAR(60),
    personen INTEGER,
    stellenanteile NUMERIC(5, 3)
);


-- -- --
-- -- -- START Autogenerated INSERT part of sql statements
-- -- -- 
-- -- --


-- -- --
-- -- --
-- -- -- END Autogenerated INSERT part of sql statements
-- -- -- 

COMMIT;
