-- Fix bearbeiter_id of master_tbl.

-- Due to the defect of mpuls/issue5108, in some struktur databases, the
-- entries were not assigned to "struktur-user" but to the user creating
-- the entries. This script fixes this by setting bearbeiter_id to the
-- return value of initial_master_ds_owner() in all entries in
-- master_tbl.

-- we cannot use initial_master_ds_owner_id() here because that checks
-- whether the current user is in the stand-in group of the
-- struktur-owner and the user used when running the upgrades is not in
-- that group.
UPDATE master_tbl
SET bearbeiter_id = (SELECT id FROM ka_benutzer_tbl
                     WHERE login LIKE '%_struktur-owner');
