BEGIN;

-- issue2587: replace 'keine Angabe' with 'im Prozess'

ALTER TABLE rg_ziele_tbl DISABLE TRIGGER USER;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.1.2/02-im_prozess.sql', current_timestamp);

-- Create new table, add the values and set the permissions
CREATE TABLE fp_ziel_erreicht_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(11) NOT NULL
);

INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (-1, 'im Prozess');
INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (1, 'Ja');


GRANT SELECT ON fp_ziel_erreicht_tbl TO GROUP :cm_group;
GRANT SELECT ON fp_ziel_erreicht_tbl TO GROUP :admin_group;


-- Alter the table for RG so it uses the new table as foreign key
ALTER TABLE rg_ziele_tbl
    DROP CONSTRAINT rg_ziele_tbl_fp_ziel_erreicht_fkey,
    ADD FOREIGN KEY (fp_ziel_erreicht) REFERENCES fp_ziel_erreicht_tbl (id);




-- Finish
SET ROLE postgres;
ALTER TABLE rg_ziele_tbl ENABLE TRIGGER ALL;

--ROLLBACK;
COMMIT;
