-- Upgrade script to fix the erroneous removal of nm_user_fkz in
-- db-admin 249:bf114ccc8f28. It's here in a JMD specific directory
-- because only the JMD evaluation server actually has (had) databases
-- created with the missing nm_user_fkz table. The defect was fixed in
-- db-admin 253:ea519fecafc8.
--
-- See mpuls/issue5503

CREATE TABLE nm_user_fkz (
    id      SERIAL PRIMARY KEY NOT NULL,
    user_id INTEGER NOT NULL REFERENCES ka_benutzer_tbl(id) ON DELETE CASCADE,
    fkz_id  INTEGER NOT NULL REFERENCES fkz_tbl(id) ON DELETE CASCADE
);

GRANT SELECT ON nm_user_fkz TO GROUP :cm_group;
GRANT USAGE ON nm_user_fkz_id_seq TO GROUP :admin_group;
GRANT INSERT ON nm_user_fkz TO GROUP :admin_group;
GRANT DELETE ON nm_user_fkz TO GROUP :admin_group;
GRANT SELECT ON nm_user_fkz TO GROUP :admin_group;
