## -*- coding: utf-8 -*-
<%inherit file="main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%!  import mpulsweb.lib.helper.case as C %>

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select',
                           id=session['case'].id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='case', action='digest',
                           id=session['case'].id)}">${_('Summary of the case document')}</a></li>
</%def>


<%def name="title()">
    ${h.get_app_title()} - ${_('Summary of the case document')}
</%def>

<%def name="buildModusfield()">
  <div class="col modusfield">
    <a href="${h.url(controller='case', action='printdigest',
                             id=session['case'].id)}"
       target="_blank"
       title=${_('Printout')}
       onclick="return checkModification();">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Printout')}</title>
        <use xlink:href="#print" />
      </svg>
    </a>
  </div>
</%def>

<%def name="buildContentHeader()">
<div class="row">
  <div class="col-8 btn-print d-print-none">
        <a class="btn btn-primary btn-sm" role="button" href="javascript: window.print()">Drucken</a>
        ## A new case has no id - show Back button only in this situation
        % if not session.get('case').id:
        <a class="btn btn-outline-primary btn-sm" role="button" type="submit"
           href="${h.url('/case/new2')}">Zurück zu „Fallakte anlegen“
        </a>
        % else:
        <a class="btn btn-outline-primary btn-sm" role="button" type="submit"
           href="javascript: window.close()">Fenster schließen</a>
        % endif
  </div>
</div>
</%def>

<%def name="renderCustomCaseStateInfo(case)">
  ##<tr class="">
  ##  <td class="label">Ole</td>
  ##  <td>Ole</td>
  ##</tr>
</%def>

<%def name="renderCaseInfo(case)">
  <h4 class="text-muted">${_('Digest youth')}</h4>
  <div class="table-responsive">
    <table class="table table-sm table-borderless summary">
      % for num, field in enumerate(c.case.get_digest_fields()):
        <tr>
          <td>${c.case.get_description(field.name)}</td>
          <td>${h.convertForDigest(c.case.get_value(field.name))| F.NA}</td>
        </tr>
      % endfor
    </table>
  </div>
</%def>

<%def name="renderMaxSavetimeInfo(case)">

<div id="content_header">
  <div class="row">
    <div id="content_ueberschrift" class="col-auto">
      <h3>${_('Summary of the case document')}</h3>
    </div>
    ${self.buildModusfield()}
  </div>
</div>

  % if not c.print_version:
    % if (c.finished and c.daysToMaxSavetime < 0) or (not c.finished and c.daysToMaxSavetime <= 0):
      <div class="alert alert-warning">
        % if c.finished:
          <h5>
            ${_('Max save duration exceeded!')}
          </h5>
          <p>
            Nach Beendigung des Case Managements ist eine weitere
            Aufbewahrung der personenbezogenen Daten der Fallakte nur bis
            zur maximalen Speicherdauer zulässig. Die maximale
            Speicherdauer (${c.maxsavetime} Tage) wurde seit
            ${abs(c.daysToMaxSavetime)} Tagen überschritten!
            <strong>Es wird empfohlen, die Fallakte zu anonymisieren!</strong>
          </p>
        % endif
        % if not c.finished:
          <h5>Inaktiver Fall?</h5>
          <p>
            Für die Fallakte konnte seit
            ${abs(c.daysToMaxSavetime)+int(c.maxsavetime)} Tagen keine
            Aktivität festgestellt werden. Bitte prüfen Sie, ob der Fall
            noch aktiv bearbeitet wird.
          </p>
        % endif
      </div>
    % else:
      <div id="case_last_modified">
        <p>${_('Last modification')}: ${h.format_datetime(c.last_access)}<br>
         % if c.daysToMaxSavetime <= 14:
          % if c.finished or c.canceled:
           (${_('Days to exceed the max save duration')}:
             ${c.daysToMaxSavetime})
          % else:
            (${_('Days to next automatic reminder of the case document')}:
             ${c.daysToMaxSavetime})
          % endif
        % endif
      </p></div>
    % endif
  % endif
</%def>

<%def name="renderCaseStateInfo(case)">
  <h4 class="text-muted print-margin">${_('Information on case')}</h4>
  <div class="table-responsive">
    <table class="table table-sm table-borderless summary">
      <tr>
        <td>${_('ID')}</td>
        <td>${c.case.id}</td>
      </tr>
      <tr>
        <td>${_('Editor')}</td>
        <td>${h.getUserFullname()}</td>
      </tr>
      <% casetype = g.mpuls_config.get('phases', 'casetype')[0].get(str(c.case.getState().getPhase())) %>
      % if casetype is not None:
        <tr>
          <td>${_('Casetype')}</td>
          <td>${casetype}</td>
        </tr>
      % endif
      <tr>
        <td>${_('Phase')}</td>
        % if case.strukturdaten_abgeschlossen == '1':
          <td>${h.literal(g.case_factory.get_state_machine().get_current_state(c.case).get_display_name())}<br/><span>Strukturdaten abgeschlossen </span></td>
        % else:
          <td>${h.literal(g.case_factory.get_state_machine().get_current_state(c.case).get_display_name())}<br/><span>Strukturdaten nicht abgeschlossen</span></td>
        % endif
      </tr>
      % if g.mpuls_config.is_enabled('case-module', 'tags'):
      <tr>
        <td>${_('Validity')}</td>
        <td>
          % for validity in g.mpuls_config.get('validities', 'enabled'):
            % if validity['id'] == c.case.getValidity():
              ${validity['name']}
            % endif
          % endfor
        </td>
      </tr>
      % endif
      <tr>
        <td>
          % if c.case.getState().getPhase() != -1:
            <ul>
            <% reachable = c.case.get_phaseslist().get_path(
                           str(c.case.getState().getPhase()),only_reachable=False)
            %>
            % for phase in c.case.get_phaseslist():
              <% if phase.id == "-1" and g.mpuls_config.is_enabled('phases', 'hideunknown'): continue  %>
              %  if phase.getStart().id in reachable or phase.getEnd().id in reachable:
                <li>
                  ${h.literal(phase.description)}<br>
                  <span class="info">
                  ${_('Start date')}: ${h.format_date(phase.getStart().date) | F.NA}<br>
                  ${_('End date')}: ${h.format_date(phase.getEnd().date) | F.NA}<br>
                  ${_('Duration in weeks')}: ${C.phase_time_in_weeks(phase.getDuration()) | F.NA}
                  </span>
                </li>
              % endif
            % endfor
            </ul>
          % else:
            ${_('unknown')}
          % endif
        </td>
      </tr>
      ${self.renderCustomCaseStateInfo(c.case)}
    </table>
  </div>
</%def>

${self.body()}
