## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!
   import mpulsweb.lib.helper.filters as F
   from mpulsweb.lib.navigation import render_breadcrumb_tree
%>
${next.body()}

<%def name="buildModusfield()">
</%def>

<%def name="buildInfofield1()">
  <% case = session.get('case') %>
  <% statemachine = g.case_factory.get_state_machine() %>
  <div id="infofield">
    <ul class="nav flex-column">
      % for f in g.case.get_infofield_fields():
      <li class="nav-item info">
        <div class="label">${f.info_label}</div><div class="content">
          <a class="nav-item info-item" href="${h.url(controller='case', action='digest',
                                 id=session.get('case').id)}"
                                 title="${_('Summary of the case document')}"
                                onclick="return checkModification();">
             <strong>${h.shorten(case.get_value(f.alias), 30)  | F.NA}</strong>
            <svg class="svg-icon-sidebar">
              <use xlink:href="#list-view" />
            </svg>
          <a>
        </div>
      </li>
      % endfor
    <% current_phase = statemachine.get_current_state(case.getState()) %>
      <li class="nav-item info">
            <div class="label">${_('Phase')}</div><div>
              <a class="nav-item info-item"
                 href="${h.url(controller='phase', action='overview',
                 id=session.get('case').id)}"
                 title="${_('Summary of the phase in CM')}"
                 onclick="return checkModification();">
                  <span class="font-weight-bold">
                    ${ h.literal(current_phase.get_display_name()) | F.NA}
                  </span>
                  <svg class="svg-icon-sidebar">
                    <use xlink:href="#list-view" />
                  </svg>
                  </span>
                </span>
              </a>
              % if case.strukturdaten_abgeschlossen == '1':
                <p  style="margin-bottom:0;" class="mt-1"><span class="font-weight-bold">Strukturdaten abgeschlossen</span></p>
              % else:
                <p style="margin-bottom:0;" class="mt-1"><span class="font-weight-bold">Strukturdaten nicht abgeschlossen</span></p>
              % endif
             </div>
      </li>
    </ul>
  </div>
  <hr>
</%def>

<%def name="buildPrivacyfield()">
  % if g.mpuls_config.is_enabled('case-module', 'privacy'):
    <div class="menu">
    <h1>${_('Data protection')}</h1>
    <ul class="mainMenu" id="mainMenuPrivacy"> <!--ID only because of IE6 -->
        <li>${_('Options')}
            <ul>
                % if session.get('case').getState().getState() not in (3,4,5):
                  % if not session.get('case').hasPrivacyStatement():
                      <li>
                      <a href="${h.url(controller='privacy', action='set',
                                           id=session.get('case').id)}"
                         onclick="return checkModification();">${_('Set statement')}
                      </a>
                      </li>
                  % elif session.get('case').hasPrivacyStatement():
                      <li>
                      <a href="${h.url(controller='privacy',
                                           action='decline',
                                           id=session.get('case').id,
                                           confirmed=0)}"
                         onclick="return checkModification();">${_('Revoke Statement')}
                      </a>
                      </li>
                  % endif
                  <li>
                  <a href="${h.url(controller='case',
                                       action='markForAnonymize',
                                       id=session.get('case').id,
                                       confirmed=0)}"
                      onclick="return checkModification();">${_('Anonymize case document')}
                  </a>
                  </li>
                % endif
                <li>
                <a href="${h.url(controller='privacy',
                                 action='listStatements',
                                 id=session.get('case').id)}"
                   onclick="return checkModification();"> ${_('Available statements')}
                </a>
                </li>
            </ul>
        </li>
    </ul>
    </div>
  % endif
</%def>

<%def name="buildNavigation()">
   ${render_breadcrumb_tree(c.breadcrumb_tree_page)}
</%def>

<%def name="sidebar()">
    <div class="col-md-3">
        <div id="case-info" class="sidebar">
          <div class="border-sidebar rounded p-4">
              ${self.buildInfofield1()}
              ${self.buildInfofield2()}
              ${self.buildPrivacyfield()}
           </div>
              % if h.hasRole(['cm']):
              <div class="sidebar-btn pl-4">
              % if c.save_btn_infofield:
                <input class="btn btn-primary" onclick="sidebar_save('save')"
                       value="${_('Save')}" name="save" type="submit">
              % endif
              % if c.savenext_btn_infofield:
                <input class="btn btn-outline-primary" name="savenext"
                       onclick="sidebar_save('savenext')" type="submit"
                       value="${_('Save and proceed')}" >
              %endif
              % if c.next_btn_url:
                <a class="btn btn-outline-primary" href="${c.next_btn_url}">Weiter</a>
              % endif
              % if c.rg_parent_btn_title:
                <input class="btn btn-outline-primary" name="savenext"
                       onclick="sidebar_save('savergparent')" type="submit"
                       value="Speichern und zu ${c.rg_parent_btn_title}" >
              % endif
              </div>
            %endif
        </div>
   </div>
</%def>


<%def name="buildInfofield2()">
  <div id="infofield2">
      <ul class="nav flex-column">
            <li class="nav-item">
              <a class="folded nav-item" id="label_more_options"
                 href="#"
                 onClick="toggle_folding('more_options')">
                ${_('More options')}
              </a>
            </li>
            <div id="more_options" style="display: none">
            % if h.hasRole(['cm', 'admin']):
                % if g.mpuls_config.is_enabled('case-module', 'organisation'):
                    <a class="info-link" href="${h.url(controller='case',
                                         action='organisation',
                                         id=session.get('case').id)}"
                    onclick="return checkModification();">
                        ${_('Organisation')}
                    </a>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'tags'):
                    <a class="info-link" href="${h.url(controller='tags',
                                         action='overview',
                                         id=session.get('case').id)}"
                       onclick="return checkModification();">
                        ${_('Tags')}
                    </a>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'appointments'):
                        <a class="info-link" href="${h.url(controller='caseappointment',
                                             action='index',
                                             id=session.get('case').id)}"
                           onclick="return checkModification();">
                            ${_('Appointment')}
                        </a>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'documents'):
                        <a class="info-link" href="${h.url(controller='casedocument',
                                             action='index',
                                             id=session.get('case').id)}"
                           onclick="return checkModification();">
                            ${_('documents')}
                        </a>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'copy') and session.get('case').getState().getState() == 1 and h.hasRole(['cm']):
                    <a class="info-link" href="${h.url(controller='case', action='copy',
                                         id=session.get('case').id,
                                         confirmed=0)}"
                    onclick="return checkModification()">${_('Copy case')}</a>
                % endif
                    <a class="info-link" href="${h.url(controller='case', action='printAll',
                                         id=session.get('case').id,
                                         confirmed=0)}"
                    onclick="return checkModification();"
                    target="_blank">${_('Print case document')}</a>
                % if g.mpuls_config.is_enabled('case-module', 'statements'):
                  <%include file="/statements/statements.mako" />
                % endif
            % endif
            <input id="folded.more_options" type="hidden" value="none">
         </ul>
  </div>
</%def>


<%def name="buildUeberschrift()">
</%def>
