## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
  <li><a href="${h.url(controller='case', action='new2')}">${_('Create new case')}</a></li>
</%def>

${h.literal(h.folding_helper_functions())}

<%include file="../plz_chooser.mako" />

  <div class="row">
    <div id="content_ueberschrift" class="col offset-1">
	<h3>${_('Create new case document')}</h3>
    </div>
  </div>
  
  <div class="formularpage col-8 offset-1">

  <form action="${h.url(controller='case', action='newAction')}" 
        accept-charset="UTF-8"
        method="POST">
    ${h.csrf_token()}
    <h4 class="text-muted">${_('Basic data')}</h4>

    <div class="form-group mb-4">
        <div class="form-row">
            <div class="form-group col-4">
                <label for="name">${_('Lastname')}</label>
                <input class="form-control form-control-sm" type="text"
                           name="name" id="name"
                           value="Set by render_htmlfill()." />
                <small class="alert-danger errortipp"><form:error name="name"></small>
            </div>
    
            <div class="form-group col-4">
                <label for="vorname">${_('Firstname')}</label>
                <input class="form-control form-control-sm" type="text"
                           name="vorname" id="vorname"
                           value="Set by render_htmlfill()." />
                <small class="alert-danger errortipp"><form:error name="vorname"></small>
            </div>
        </div>
    
        <div class="form-row">
            <div class="form-group col-6">
                <label for="adresse_strasse">${_('Street')}</label>
                <input class="form-control form-control-sm" type="text"
                       name="adresse_strasse" id="adresse_strasse"
                       value="Set by render_htmlfill()." />
                <small class="alert-danger errortipp"><form:error name="adresse_strasse"></small>
            </div>
            <div class="form-group col-2 seromargin">
                <label for="adresse_strassenr">${_('Streetnr')}</label>
                <input class="form-control form-control-sm" type="text"
                       name="adresse_strassenr" id="adresse_strassenr"
                       value="Set by render_htmlfill()." />
                <small class="alert-danger errortipp"><form:error name="adresse_strassenr"></small>
            </div>
        </div>
    
        <div class="form-row">
            <div class="form-group col-2 seromargin">
                <label for="adresse_plz">${_('PLZ')}</label>
                <input class="form-control form-control-sm" type="text"
                       name="adresse_plz" id="adresse_plz"
                       value="Set by render_htmlfill()." />
                <small class="alert-danger errortipp"><form:error name="adresse_plz"></small>
            </div>
            <div class="form-group col-6">
                <label for="adresse_ort">${_('Place')}</label><br>
                <input class="form-control form-control-sm" type="text"
                       name="adresse_ort" id="adresse_ort"
                       value="Set by render_htmlfill()." />
                <small class="alert-danger errortipp"><form:error name="adresse_ort"></small>
            </div>
        </div>
    </div>

    <div class="form-group mb-4">
        <div class="form-row">
            <div class="col-2">
                <label class="text-nowrap" for="datum_ea_start">Datum des Erstkontakts</label>
                <input type="text" class="datefield mpuls-datepicker form-control form-control-sm"
                       maxlength="10" onchange="setModification();"
                       name="datum_ea_start" id="datum_ea_start"
                       value="" />
                <small class="alert-danger errortipp"><form:error name="datum_ea_start"></small>
            </div>
            <div class="col-4">
                <div><label>Begleitung im Rahmen</label></div>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="art_begleitung" id="CM" value="1" >
                    <label class="form-check-label" for="CM"> des Case Managements</label>
                </div>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="art_begleitung" id="BER" value="0" >
                    <label class="form-check-label" for="BER"> der Beratung</label>
                </div>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="art_begleitung" id="KA" value="-1">
                    <label class="form-check-label" for="KA"> noch offen</label>
                </div>
                <br />
                <small class="alert-danger errortipp"><form:error name="art_begleitung"></small>
            </div>
        </div>
    </div>

    <h4 class="text-muted">${_('Privacy Statement')}</h4>
    <div class="col-8 alert alert-warning" role="alert">
        ${_('Please note: Personal data is only allowed to be documented, if the signed acceptence statement for entering, using and editing personal data has been obtained')}
    </div>

    <div class="form-group">
        <div class="form-check form-check-inline">
            <input class="form-check-input" type="radio" name="einwilligung"
                    id="accept" value="1" >
            <label class="form-check-label" for="accept">${_('Statement accepted')}</label>
        </div>
        <div class="form-check form-check-inline">
            <input class="form-check-input" type="radio" name="einwilligung"
                    id="unclear" value="-1" >
            <label class="form-check-label" for="unclear">${_('Statement unclear')}</label>
             ## help icon muss noch als popover eingefügt werden! ##
        </div>
    </div>
    <div class="form-group">
        <a class="btn btn-outline-primary btn-sm" role="button"
            href="${h.url('/documents/Datenschutzerklaerung-Deutsch.pdf')}" target="_blank">Datenschutzerklärung (deutsch)</a>
        <input type="submit" class="btn btn-outline-primary btn-sm"
            value="${_('Print statement')}"
            name="print" name="print" id="newCaseStatement" />
    </div>
    <div class="form-group mb-3">
        <a class="folded info-item"
            title="${_('Available statements')}: ${_('Fold/Unfold')}"
            onclick="toggle_folding('EinwilligungenMuster');\
            toggle_folding('SchweigepflichtMuster');\
            return false;"
            value="${_('Show translated statements and discretion statement')}"
            name="toggle_statements" id="label_EinwilligungenMuster">
            	${_('Show translated statements and discretion statement')}
        </a>
    </div>

    <div class="mb-5" id="EinwilligungenMuster">
        <h4 class="text-muted">Verfügbare Erklärungen</h4>
        <input type="hidden" name="folded.EinwilligungenMuster" 
                     id="folded.EinwilligungenMuster"
                     value=${session.get('folded.EinwilligungenMuster','none')}>
            <%include file="/privacy/static_statements.mako" />
    </div>

    <div class="mb-5" id="SchweigepflichtMuster">
        <h4 class="text-muted">Schweigepflichtentbindung</h4>
        <input type="hidden" name="folded.SchweigepflichtMuster" 
                id="folded.SchweigepflichtMuster"
                value=${session.get('folded.SchweigepflichtMuster','none')}>
        <p>
            Erklärung zur Schweigepflichtentbindung von Vertrauenspersonen 
            mit Schweigepflicht gemäß § 203 StGB gegenüber der Einrichtung.
        </p>
        <p>
            <a class="btn btn-outline-primary btn-sm" role="button"
                href="${h.url('/documents/Schweigepflichtentbindung-JMD.pdf')}"
                    target="_blank">Schweigepflichtentbindung herunterladen</a>

            <input class="btn btn-outline-primary btn-sm" type="submit"
                value="${_('Print discretion statement')}"
                name="printDiscretion" id="newCaseDiscretionStatement" />
        </p>
    </div>

    ${h.literal(h.folding_init(["EinwilligungenMuster",
                                "SchweigepflichtMuster"]))
      }
    <div class="form-group">
        <input class="btn btn-primary" type="submit"
            value="${_('Create case document')}"
            name="save" id="newCaseSave">
    </div>

  </form>
  </div>
