# -*- coding: utf-8 -*-
#
# (c) 2014 by Intevation GmbH
# This is Free software under the GPLv3.
# See LICENSE comming with the source of 'mpuls'
# for details.
#
# author: Bjoern Ricks <bjoern.ricks@intevation.de>
#

import os
import sys

from mpulsweb.lib.commands import BaseCommand


class Command(BaseCommand):

    template = """#!/usr/bin/env python
import os
import sys

try:
    import mpulsweb.lib.management
except ImportError:
    sys.path.append(os.path.join(os.pardir, "base"))

from mpulsweb.lib.management import execute_from_cli

execute_from_cli(%s)
"""

    name = "create_manage_py"

    file_name = "manage.py"

    def add_options(self, parser):
        parser.add_option("-p", "--project", action="store", dest="project",
                          default="")
        parser.add_option("-f", "--force", action="store_true", dest="force")

    def execute(self, options, args):
        if os.path.exists(self.file_name) and not options.force:
            print >>sys.stderr, "%s already exists" % self.file_name
            return

        with open(self.file_name, "w") as f:
            f.write(self.template % options.project)
