function findComparisonSelects() {
  return document.querySelectorAll("form .panel select[name$=_type]")
}


function findInputElement(basename, suffix) {
  return document.querySelector("form .panel input[name="
                                + basename + "_" + suffix+ "]")
}


function findRelatedElements(selectElement) {
  var basename = selectElement.name.substring(0, selectElement.name.length - 5)
  var low_input = findInputElement(basename, "value_low")
  if (low_input === null) {
    return null
  }

  return {
    select: selectElement,
    value_input: findInputElement(basename, "value"),
    low_input: low_input,
    high_input: findInputElement(basename, "value_high"),
    between_span: low_input.parentElement
  }
}


function comparisonOperatorChanged(group) {
  var dates = group.value_input.value.split("-")
  if (group.select.value === "Between") {
    group.low_input.value = dates[0]
    group.high_input.value = dates[0]
    splitValuesChanged(group)
  } else if (dates.length > 1) {
    group.value_input.value = dates[0]
  }

  showHideInputs(group)
}

function showHideInputs(group) {
  if (group.select.value === "Between") {
    group.value_input.style.display = "none"
    group.between_span.style.display = null
  } else {
    group.value_input.style.display = null
    group.between_span.style.display = "none"
  }
}

function splitValuesChanged(group) {
  var low = group.low_input.value,
      high = group.high_input.value
  group.value_input.value = low + "-" + high
}


function initSelectGroup(select) {
  var group = findRelatedElements(select)
  if (group === null) {
    // If the related elements cannt be found, the select element does
    // not offer the Between operator and we don't have to do anything
    // client side.
    return
  }

  select.addEventListener("change", function(event) {
    comparisonOperatorChanged(group)
  })
  group.low_input.addEventListener("input", function(event) {
    splitValuesChanged(group)
  })
  $(group.low_input).on('changeDate', function(event) {
    splitValuesChanged(group)
  })
  group.high_input.addEventListener("input", function(event) {
    splitValuesChanged(group)
  })
  $(group.high_input).on('changeDate', function(event) {
    splitValuesChanged(group)
  })

  showHideInputs(group)
}


window.addEventListener("load", function(event) {
  var selects = findComparisonSelects()
  for (var idx = 0; idx < selects.length; idx++) {
    initSelectGroup(selects[idx])
  }
});
