## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('User overview')}
</%def>

<div class="row">
  <div class="col-auto" id="content_ueberschrift">
    <h3>${_('User overview')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Create new user')}" href="${h.url(controller='administration', action='newUser')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Create new user')}</title>
        <use xlink:href="#add_user" />
      </svg>
    </a>
  </div>
</div>
% if h.getLogin() == 'adm':
<p>Sie sind mit der initialen Anmeldekennung - adm - angemeldet. Diese
Anmeldekennung haben Sie von der Intevation GmbH bekommen.</p>

<ul>
  <li>Legen Sie eine*n neue*n Benutzer*in mit der Benutzerrolle "Administration" an.
Notieren Sie Anmeldekennung und Passwort sorgfältig! </li>
</ul>

<p>Damit haben Sie alle Aufgaben des initialen Zugangs erledigt. Die weitere
Einrichtung des Systems erfolgt mit der neuen Benutzerrolle Administration.
Melden Sie sich ab und mit der neuen Anmeldekennung wieder an, danach:</p>

<ul>
  <li> Legen Sie mindestens eine*n Benutzer*in mit die Benutzerrolle "Verwaltung" an.</li>
  <li> Tragen Sie die Angaben für Ihre Einrichtung ein (Name, ggf. Kennung, etc.).</li>
  <li style="margin-top: 1em"> Ggf. richten Sie eine oder mehrere Benutzergruppen ein.</li>
  <li> Ggf. legen Sie Vertretungsregeln fest.</li>
  <li> Ggf. legen Sie noch eine*n zweite*n Benutzer*in mit der Rolle Administration an,
für Ihre Entlastung.</li>
</ul>
<p>Weitere Erklärungen zu den Benutzerrollen und dem Setup finden Sie im
Benutzer*innenhandbuch.</p>
<p><a href="javascript:window.print()">Wollen Sie diese Seite ausdrucken?</a></p>
% endif

<legend>Tabelle der vorhandenen Benutzer*innen:</legend>
<div class="table-responsive">
 <table class="table table-sm table-hover custom-table-striped">
 <thead>
  <tr>
    <th scope="col">${_('Lastname')}</th>
    <th scope="col">${_('Firstname')}</th>
    <th scope="col">${_('Role')}</th>
    <th scope="col"></th>
  </tr>
 </thead>
  % for user in c.user_overview:
    % if user.login != 'adm':
       <tr class='clickable-row' data-href="${h.url(controller='administration',
                                            action='showUser', id=user.id)}">
         <td>${user.last_name| F.NA}</td>
         <td>${user.first_name| F.NA}</td>
         ##% if user.getRole() == 'Admin':
         ##<td><img src="${h.url('/images/icons/admin_grey_tag.gif')}" alt="${_('Role Administrator')}" title="${_('Role Administrator')}"></td>
         ##% else:
         ##  <td><img src="${h.url('/images/icons/cm_grey_tag_width.gif')}" alt="${_('Role Case Manager')}" title="${_('Role Case Manager')}"></td>
         ##% endif
         <td>${user.getRole()}</td>
         <td class="icon-td">
           % if str(user.id) != str(session.get('USER_AUTHORIZED').id):
            <a role="button" title="${_('Delete')}"
               href="${h.url(controller='administration', action='deleteUser',
                    id=user.id)}">
              <svg class="svg-icon svg-warning" aria-labelledby="title" role="img">
                <title id="title">${_('Delete')}</title>
                <use xlink:href="#delete" />
              </svg>
            </a>
           % endif
         </td>
       </tr>
    % endif
  % endfor
  % if len(c.user_overview) <= 0:
    <tr>
      <td>
        ${_('No data found.')}
      </td>
      <td></td>
    </tr>
  % endif
 </table>
</div>
