## -*- coding: utf-8 -*- 
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>

<div class="row">
  <div class="col-auto" id="content_ueberschrift">
    <h3>${_('Organisation')}</h3>
  </div>
  <div class="col modusfield">
    <%
       case_bundle = session.get('casebundle')
       if case_bundle:
           last_id = case_bundle.case_list[-1]
           overview_url = h.url(controller='case_overview', action='overview',
                                anchor=last_id)
       else:
           overview_url = h.url(controller='case_overview', action='overview')
    %>
    <a title="${_('Back to: Case document overview')}" href="${overview_url}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: Case document overview')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>

<h4 class="text-muted">${_('Standin')}</h4>
<p>${_('Please set new standin rules for the selected cases.')}.</p>

<form action="${h.url(controller="case_bundle", action="set_standin")}" method="POST">
${ h.csrf_token() }

<div class="table-responsive">
 <table class="table table-sm table-hover col-xl-6">
  <tr>
    <th scope="col">${_('Keep')}</th>
    <th scope="col">${_('Add')}</th>
    <th scope="col">${_('Remove')}</th>
    <th scope="col">${_('Management')}</th>
  </tr>
  <% idset = True %>
  % for group in c.group_list:
    <tr>
    % if idset:
       <td><input type="radio" name="standin_${group.id}" value="keep_${group.id}" checked></td>
       <td><input type="radio" name="standin_${group.id}" value="add_${group.id}"></td>
       <td><input type="radio" name="standin_${group.id}" value="rem_${group.id}"></td>
       <td>${group.name | F.NA}</td>
    % else:
       <td><input type="radio" name="standin_${group.id}" value="keep_${group.id}" checked></td>
       <td><input type="radio" name="standin_${group.id}" value="add_${group.id}"></td>
       <td><input type="radio" name="standin_${group.id}" value="rem_${group.id}"></td>
       <td>${group.name}</td>
    % endif
    </tr>
    <% idset = not idset %>
  % endfor
  % if len(c.group_list) <= 0:
    <tr>
      <td colspan="2">
        ${_('No data found.')}
      </td>
    </tr>
  % endif
</table>
</div>
  <small class="form-text text-muted">${_('Keep')}: ${_('The standin for each case is unchanged with regards to the Person / Group.')}</small>
  <input class="btn btn-primary" type="submit" value="${_('Change Standin')}">
</form>
