## -*- coding: utf-8 -*- 
<%inherit file="../../main.mako" />
<form action="${h.url(controller='case_bundle', action='exportAction')}"
      method="GET">
  <% case_bundle = session.get('casebundle') %>
  <%
     if case_bundle:
         last_id = case_bundle.case_list[-1]
         overview_url = h.url(controller='case_overview', action='overview',
                              anchor=last_id)
     else:
         overview_url = h.url(controller='case_overview', action='overview')
  %>
  % if case_bundle and len(case_bundle.case_list) > 1 and g.mpuls_config.is_enabled('offline-client', 'enabled'):
  <div class="row">
    <div class="col-auto">
      <h4>${_('Selected cases')}</h4>
    </div>
    <div class="col modusfield">
      <a title="${_('Case document overview')}" href="${overview_url}">
        <svg class="svg-icon" aria-labelledby="title" role="img">
          <title id="title">${_('Back to: Case document overview')}</title>
          <use xlink:href="#arrow-circle-left" />
        </svg>
      </a>
    </div>
  </div>
    <p>
        ${_('<strong>Notice:</strong> You have selected more than one case document. The now created file cannot be used with the offline client at the moment. If you want to use the offline client, you need to select just one case document.')}
    </p>
  % endif

  <div class="form-group">
    <fieldset id="export-pages">
      <div class="row">
        <div class="col-auto" id="content_ueberschrift">
          <h3>${_('Exported parts of the case document')}</h3>
        </div>
        <div class="col modusfield">
          <a title="${_('Case document overview')}" href="${overview_url}">
            <svg class="svg-icon" aria-labelledby="title" role="img">
              <title id="title">${_('Back to: Case document overview')}</title>
              <use xlink:href="#arrow-circle-left" />
            </svg>
          </a>
        </div>
      </div>

      <div class="form-group">	
        <small class="form-text text-muted">
          ${_('Please choose the exported pages of the case document:')}
        </small>
      </div>

      <div class="form-check mb-3">
        <input class="form-check-input" type="checkbox" value="1"
               name="mpuls-toggle-all-exportselection" id="all_pages">
        <label class="form-check-label" for="all_pages">
          ${_('Select/deselect all pages')}
        </label>
      </div>

      % for page in c.pages:
        <div class="form-check">
          <% name = page.getName() %>
          <input class="form-check-input" type="checkbox" name="exportselection"
                 value="${name}" id="${name}">
          <label class="form-check-label" for="${name}">
            ${page.getDescription()}
          </label>
        </div>
      % endfor
    </fieldset>
  </div>
  % if c.allow_logbook_export:
    <div class="form-group">
      <fieldset id="export-logbook">
        <div class="form-check">
          <input class="form-check-input" type="checkbox" name="exportselection" value="logbook" id="logbook">
          <label class="form-check-label" for="logbook">${_('Logbook')}</label>
        </div>
      </fieldset>
    </div>
  % endif
  % if c.allow_documents_export:
    <div class="form-group">
      <fieldset id="export-documents">
        <div class="form-check">
          <input class="form-check-input" type="checkbox" name="exportselection"
                 value="documents" id="documents">
          <label class="form-check-label" for="documents">
            ${_("Documents")}
          </label>
        </div>
      </fieldset>
    </div>
  % endif

  <div class="form-group">
  % if g.mpuls_config.is_enabled('case-module', 'anonymize'):
    <legend>
      <div class="text-nowrap">
        <label>
          ${_('Anonymisation')}
          <small class="form-text text-muted">
            ${_('Please notice, that you export personal data, if you do not export with')}
            ${_('Export anonymisated data')}. ${_('You need to follow the data privacy.')}
          </small>
        </label>
      </div>
    </legend>
      <div class="form-check">
        <input class="form-check-input" type="checkbox" name="exportanonym"
               id="exportanonym" value="1">
        <label class="form-check-label" for="exportanonym">
          ${_('Export anonymisated data')}
        </label>
      </div>
  % else:
    <small class="form-text text-muted">
      ${_('Please notice, that you export personal data.')} ${_('You need to follow the data privacy.')}
    </small>
  % endif
  </div>

  <input type="hidden" name="exporttype" value="">
  <input class="btn btn-primary" type="submit" value="${_('Download export')}">
</form>
