## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />

<%
if c.form_action == "edit_action":
    title = _('Edit overview configuration')
else:
    title = _('New overview configuration')
%>

<div class="row">
  <div class="col-auto offset-1" id="content_ueberschrift">
     <h3>${title}</h3>
  </div>
  <div class="col modusfield">
    <a title="${c.backlink_title}" href="${c.backlink_url}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${c.backlink_title}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>
<div class="formularpage col-xl-9 offset-1">
${c.rendered_form.rendered_errors}

${c.rendered_form.rendered_form}
</div>

<link rel="stylesheet" href="${h.url('/styles/typeahead.css')}">
<script src="${h.url('/js/twitter-typeahead.bundle.js')}"></script>
<script src="${h.url('/js/Sortable.js')}"></script>
<script src="${h.url('/js/jquery-sortable.js')}"></script>
<script>
var known_columns = ${c.formed_fields|n};
</script>
<%text>
<script>
$(document).ready(function() {

    /*
     * Autocompleter
     */
    var search = new Bloodhound({
        //datumTokenizer: Bloodhound.tokenizers.obj.whitespace('description'),
        datumTokenizer: function(d){
            // Naive tokenizer so that not only hits at the beginning of the
            // word are matched, see
            // * http://stackoverflow.com/questions/23448193/
            // * https://github.com/twitter/typeahead.js/issues/96
            var tokens = [];
            var stringSize = d.description.length;

            // multiple combinations for every available size
            // dog => d, o, g, do, og, dog
            for (var size = 1; size <= stringSize; size++){
                for (var i = 0; i+size <= stringSize; i++){
                    tokens.push(d.description.substr(i, size));
                }
            }
            return tokens;
        },
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        limit: 10,
        local: known_columns,
    });

    search.initialize();

    $('#search_columns').typeahead(null, {
        source: search.ttAdapter(),
        displayKey: 'description',
    });
    $('#add-new-column').click(addNewColumn);
    $('#custom-overview-list').sortable({animation: 150});
    setupDeleteEvents();
});

function addNewColumn() {
    var newColumnName = $('#search_columns').val()
    var newColumn = lookupColumn(newColumnName);
    var column_list = $('#custom-overview-list');

    if (newColumnName && newColumn !== null) {
        column_list.append(formatColumnListEntry(newColumn));
        setupDeleteEvents();
        $('#search_columns').val("");
    }
}

function setupDeleteEvents() {
    $('#custom-overview-list svg').on("click", removeColumn);
}


function removeColumn(event) {
    var columnListItem = $(event.target).parent().remove();

}

function lookupColumn(description) {
    for (var i = 0; i < known_columns.length; i++) {
        if (known_columns[i].description === description) {
            return known_columns[i];
        }
    }
    return null;
}

function formatColumnListEntry(column) {
    return `<li class="list-group-item d-flex justify-content-between">${column.description}<input type="hidden" name="columns" value="${column.name}"><svg class="svg-icon"><title>Spalte entfernen</title><use xlink:href="#delete"/></svg>
</li>`;
}
</script>
</%text>
