## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />

<%namespace file="overview.mako" import="overview_table"/>

<%def name="title()">
    ${h.get_app_title()} - ${_('Document overview')}
</%def>

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">
      ${_('Selected case attachment')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='casedocument', action='index', id=session.get('case').id)}">
      ${_('Attachment overview')}
    </a>
  </li>
</%def>


<%def name="show_url(doc)">
${h.url(controller='casedocument', action='show', id=doc.id, url=doc.getName())}
</%def>

<%def name="actions(doc)">
% if h.hasRole(['cm']) and session.get('case').is_editable_state():
  <a title="${_('Rename')}" href="${h.url(controller='casedocument', action='rename', id=doc.id)}">
    <svg class="svg-icon" aria-labelledby="title" role="img">
      <title id="title">${_('Rename')}</title>
      <use xlink:href="#edit" />
    </svg>
  </a>
  <a title="${_('Delete')}" href="${h.url(controller='casedocument', action='delete', id=doc.id,
             confirmed=0)}">
    <svg class="svg-icon svg-warning" aria-labelledby="title" role="img">
      <title id="title">${_('Delete')}</title>
      <use xlink:href="#delete" />
    </svg>
  </a>
% endif
</%def>

<div class="overviewpage">
  <div id="content_header">
    <div class="row">
      <div id="content_ueberschrift" class="col-auto">
         <h3>${_('Attachment overview')}</h3>
      </div>
      % if h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
        <div class="col modusfield">
          <a title="${_('Add attachment')}" href="${h.url(controller='casedocument', action='new', id=session['case'].id)}">
            <svg class="svg-icon" aria-labelledby="title" role="img">
              <title id="title">${_('Add attachment')}</title>
              <use xlink:href="#plus-circle-solid" />
            </svg>
          </a>
        </div>
      % endif
    </div>
  </div>

  ${overview_table(show_url, actions)}
</div>
