## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />

<%namespace file="overview.mako" import="overview_table"/>

<%def name="title()">
    ${h.get_app_title()} - ${_('My Documents')}
</%def>

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url(controller='userdocument', action='index')}">
      ${_('My Documents')}
    </a>
  </li>
</%def>

<div class="row">
  <div class="col-auto" id="content_ueberschrift">
    <h3>${_('My Documents')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Add new document')}" href="${h.url(controller='userdocument', action='new')}">
    <svg class="svg-icon" aria-labelledby="title" role="img">
      <title id="title">${_('Add new document')}</title>
      <use xlink:href="#plus-circle-solid" />
    </svg>
    </a>
  </div>
</div>


<%def name="show_url(doc)">
${h.url(controller='userdocument', action='show', id=doc.id, url=doc.getName())}
</%def>

<%def name="actions(doc)">
<a title="${_('Rename')}" href="${h.url(controller='userdocument', action='rename', id=doc.id)}"
   role="button">
  <svg class="svg-icon" aria-labelledby="title" role="img">
    <title id="title">${_('Rename')}</title>
    <use xlink:href="#edit"/>
  </svg>
</a>
<a title="${_('Delete')}" href="${h.url(controller='userdocument', action='delete', id=doc.id,
         confirmed=0)}" role="button">
      <svg class="svg-icon svg-warning" aria-labelledby="title" role="img">
        <title id="title">${_('Delete')}</title>
        <use xlink:href="#delete" />
      </svg>
</a>
</%def>

${overview_table(show_url, actions)}
