## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="showAppointmentActions(appointment, show_set_done=False)">
    <form role="button"
        action="${h.url(controller='appointment', action='set_done',
        id=appointment.id)}"
        method="POST">
        ${ h.csrf_token() }
        % if c.set_done_backlink:
        <input type="hidden" name="backlink" value="${c.set_done_backlink}">
        % endif
        <button title="${_('Set Done')}" class="btn btn-sm icon-btn">
            <svg class="svg-icon" aria-labelledby="title" role="img">
                <title id="title">${_('Set Done')}</title>
                <use xlink:href="#check" />
            </svg>
        </button>
    </form>
</%def>

<%def name="showAppointmentnURL(appointment)">
%if appointment.case_id:
  ## Ususal appointment
  % if appointment.type == 0:
    "${h.url(controller='caseappointment', action='show', id=appointment.id, confirmed=0)}"
  ## Reminder
  % else:
    "${h.url(controller='caseappointment', action='show', id=appointment.id, confirmed=0)}"
  % endif
% else:
  "${h.url(controller='caseappointment', action='show', id=appointment.id)}"
% endif
</%def>

<div class="table-responsive">
 <table class="table table-sm table-hover custom-table-striped">
   <thead>
    <tr>
      <th scope="col" class="td_date">${_('Date')}</th>
      <th scope="col">${_('Name')}</th>
      <th scope="col" class="td_description">${_('Description')}</th>
      <th scope="col"></th>
    </tr>
   </thead>
    <% num = 0 %>
    % for appointment in c.appointmentlist.getDatasets():
    <% cls = num % 2 and 'hl' or 'table_row_h2' %>
    <% num += 1 %>
    <tr class='clickable-row' data-href=${showAppointmentnURL(appointment)}>
      <td class="td_date">${h.dd_mm_YYYY(appointment.getStartDate())}</td>
      <td>${appointment.getCaseSubject() | F.NA}</td>
      <td class="td_description">
        ${appointment.title | F.NA}
        <% description = F.shorten(appointment.description,120) %>
        <div>${description | F.NA}</div>
      </td>
      <td class="icon-td">
        ${self.showAppointmentActions(appointment, show_set_done=c.show_set_done)}
      </td>
    </tr>
    % endfor
    % if len(c.appointmentlist.getDatasets()) <= 0:
    <tr>
      <td colspan="3">${_('No event found')}</td>
      <td class="icon-td"></td>
    </tr>
    % endif
</table>
</div>
