## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%inherit file="/casemanagement/main.mako" />
<%namespace file="../documents/overview.mako" import="overview_table"/>

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select',
                       id=session.get('case').id, confirmed=1)}"
      >${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='logbook', action='index',
                       id=session.get('case').id)}"
      >${_('Logbook')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Logbook')}
</%def>

<%def name="show_url(doc)">
${h.url(controller='logbook', action='showDocument',
        id=doc.id, url=doc.getName())}
</%def>

<%def name="actions(doc)">
</%def>


<div class="overviewpage">
<div id="content_header">
  <div class="row">
    <div id="content_ueberschrift" class="col-auto">
      <h3>${_('Logbook')}</h3>
    </div>

% if h.hasRole(['cm']):
    <div class="col modusfield d-print-none">
        % if session['case'].is_editable_state():
          <a title="${_('New entry')}" href="${h.url(controller='logbook', action='new',
                           id=session.get('case').id)}">
            <svg class="svg-icon" aria-labelledby="title" role="img">
              <title id="title">${_('New entry')}</title>
              <use xlink:href="#plus-circle-solid" />
            </svg>
          </a>
        % endif
        <a title="${_('Export logbook')}" href="${h.url(controller='logbook', action='export',
                   id=session.get('case').id)}">
          <svg class="svg-icon" aria-labelledby="title" role="img">
            <title id="title">${_('Export logbook')}</title>
            <use xlink:href="#xls-export" />
          </svg>
        </a>
        <a title="${_('Print view')}" href="${h.url(controller='logbook', action='printout',
                         id=session.get('case').id)}" target="_blank">
          <svg class="svg-icon" aria-labelledby="title" role="img">
            <title id="title">${_('Print view')}</title>
            <use xlink:href="#print" />
          </svg>
        </a>
    </div>
% endif
  </div>
</div>

<h4 class="text-muted">${_('Entries')}</h4>
<div class="table-responsive">
  <table class="table table-sm logbook-table-striped">
    <thead>
      <tr>
        % for title, field in [(_('Date'), 'datum'), (_('Editor'), 'bearbeiter'), (_('Type'), 'art'), (_('Duration (min)'), 'dauer')]:
          <th scope="col">
	    <div class="row">
              <div class="col">
	        ${title}
             </div>
          </div>
          <div class="row d-print-none">
            <div class="col">
              <a title='${_("Sort in ascending order")}' href="${h.url(controller='logbook', action='index',
                                 id=session.get('case').id, sort_field=field,
                                 sort_order='asc')}">
                % if c.sort_field == field and c.sort_order == 'asc':
                  <svg class="svg-sort-active">
                % else:
                  <svg class="svg-sort">
                % endif
                  <use xlink:href="#sort_asc">
                </svg>
              </a>
              <a title='${_("Sort in descending order")}' href="${h.url(controller='logbook', action='index',
                                 id=session.get('case').id, sort_field=field,
                                 sort_order='desc')}">
                % if c.sort_field == field and c.sort_order == 'desc':
                  <svg class="svg-sort-active">
                % else:
                  <svg class="svg-sort">
                % endif
                  <use xlink:href="#sort_desc">
                </svg>
              </a>
            </div>
          </div>
          </th>
        % endfor
        <th id="table-overview" scope="col">${_('Dokumente')}</th>
        <th scope="col"></th>
      </tr>
    </thead>
    % if c.logbook.hasEntries():
      % for entry in c.logbook.getEntries():
        <tr class='clickable-row first-table-row' id="first_${entry.id}"
          data-href="${h.url(controller='logbook', action='show', id=entry.id)}"
          onmouseover="hover_two(${entry.id})"
          onmouseout="unhover_two(${entry.id})">
        <td><strong>${entry.getDate()}</strong> ${entry.getTime()}</td>
        <td>${entry.getEditor()}</td>
        <td>${entry.getKindsAsText()}</td>
        <td>${entry.getDuration()}</td>
        <td>${c.logbook_document_counts[entry.id]|F.NA}</td>
        <td class="icon-td d-print-none">
            % if h.hasRole(['cm']) and entry.is_editable_in_case(session['case']):
              <a role="button" title="${_('delete')}"
                 href="${h.url(controller='logbook', action='delete',
                               id=entry.id, confirmed=0)}">
                <svg class="svg-icon svg-warning" aria-labelledby="title" role="img">
                  <title id="title">${_('delete')}</title>
                  <use xlink:href="#delete" />
                </svg>
              </a>
            % endif
        </td>
      </tr>
      <tr class="clickable-row second-table-row" id="second_${entry.id}"
          data-href="${h.url(controller='logbook', action='show', id=entry.id)}"
          onmouseover="hover_two(${entry.id})"
          onmouseout="unhover_two(${entry.id})">
        <% notice = F.html_shorten(entry.getNotice(), 260) %>
        <td colspan="6" class="description">${notice | F.NA}</td>
      </tr>
      % endfor
    % else:
      <tr>
        <td colspan="5">${_('No entries found')}</td>
      </tr>
    % endif
  </table>
</div>

<h4 class="text-muted">${_('Attachment overview')}</h4>
${overview_table(show_url, actions, c.logbook_documents)}

<h4 class="text-muted">Auswertung</h4>
<%include file="/logbook/evaluation.mako"/>
<%include file="/logbook/evaluation_typ.mako"/>
</div>
