## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>

<%def name="title()">
    ${h.get_app_title()} - ${_('Change standin')}
</%def>

<div class="row">
  <div class="col-auto offset-1" id="content_ueberschrift">
    <h3>${_('Change standin')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Back to: My Account')}" href="${h.url(controller='usersettings', action='showSettings')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: My Account')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
     </a>
  </div>
</div>

<div class="formularpage col-xl-9 offset-1">
  ${self.buildFormErrors()}
  <p>${_('Here you can configure, which user at creation of a new case document is your standin. You can select a user or a group of users. These user have also access to this case document. This configuration has no effect on your current cases.')}</p>
  <form action="${h.url(controller='usersettings', action='editStandinAction')}" 
        method="POST">
    ${ h.csrf_token() }
    <div class="form-row">
      <div class="form-group col-xl-4">
        <div class="text-nowrap">
          <label for="standin">${_('Standin')}</label>
        </div>
        <select class="custom-select custom-select-sm" name="standin" id="standin">
          % for g in c.grouplist:
            % if g.id == c.uo.standin:
              <option value="${g.id}" selected>${g.name | F.NA}</option>
            % else:
              <option value="${g.id}">${g.name | F.NA}</option>
            % endif
          % endfor
            % if c.uo.standin is None:
              <option value="" selected>Keine Vertretung</option>
            % else:
              <option value="">Keine Vertretung</option>
            % endif
        </select>
      </div>
    </div>
    <input class="btn btn-primary" type="submit" value="${_('Change standin')}">
  </form>
</div>
