#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
import psycopg2

SQL_CREATE_LOGIN= """\
SET SESSION AUTHORIZATION %(air_db_admin)s;
SELECT ka_create_role(%(agency)s, %(grouprole)s, %(loginname)s,
                      %(firstname)s, %(surname)s, %(phone)s, %(room)s,
                      %(branchoffice)s, %(activated)s , %(setpassword)s);
"""

def create_login(air_db, air_port, app_db):
    con = None
    try:
        con = psycopg2.connect(database='ka_' + air_db + '_db', port=air_port)
        cur = con.cursor()
        fields = {'loginname': app_db,
                      'grouprole': 'cm',
                      'agency': air_db,
                      'firstname': 'AiR',
                      'surname': app_db,
                      'phone': '',
                      'room': '',
                      'branchoffice': app_db,
                      'activated': True,
                      'setpassword': False,
                      'air_db_admin': 'ka_' + air_db + '_admin'
                      }

        cur.execute(SQL_CREATE_LOGIN, fields)
        login,password = app_db, cur.fetchone()[0]
        con.commit()
        return (login, password)
    except psycopg2.DatabaseError, e:
	print "Error on creating user %s in %s. %s" % (app_db, air_db, e)
    finally:
        if con:
            con.close()
    return (None, None)


def main():
    if not len(sys.argv) -1 == 2:
        print "create_meta_user.py <air port> <mapping>"
        print "  Create users in air. Write mapping2.txt"
        print "Not two argument -> exit"
        return
    air_port = sys.argv[1]
    mapping1 = open(sys.argv[2])
    app2air_dict = eval(mapping1.read())
    mapping1.close()
    app2user_pw_dict = {}
    print "Creating meta users..."
    for app_db in app2air_dict:
        (login, password) = create_login(app2air_dict[app_db].get('dbagency'), air_port, app_db)
        if login:
            app2user_pw_dict[app_db] = (login,password)
    print "Create %d users" % len(app2user_pw_dict.keys())
    outfile = open('mapping2.txt', 'w+')
    outfile.write(repr(app2user_pw_dict))
    outfile.close()

main()
